Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class ExpiringMap<K,V>

    java.lang.Object
      org.apache.cassandra.utils.ExpiringMap<K,V>

    public class ExpiringMap<K,V>

extends java.lang.Object

Constructor Summary
`ExpiringMap(long expiration)`

Method Summary
`boolean` | `containsKey(K key)`
`V` | `get(K key)`
`long` | `getAge(K key)`
`boolean` | `isEmpty()`
`java.util.Set<K>` | `keySet()`
`void` | `put(K key, V value)`
`void` | `put(K key, V value, ICacheExpungeHook<K,V> hook)`
`V` | `remove(K key)`
`void` | `shutdown()`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpiringMap

    public ExpiringMap(long expiration)

Method Detail

### shutdown

    public void shutdown()

### put

    public void put(K key,
                    V value)

### put

    public void put(K key,
                    V value,
                    ICacheExpungeHook<K,V> hook)

### get

    public V get(K key)

### remove

    public V remove(K key)

### getAge

    public long getAge(K key)

### size

    public int size()

### containsKey

    public boolean containsKey(K key)

### isEmpty

    public boolean isEmpty()

### keySet

    public java.util.Set<K> keySet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation